Bug 1661236 - Missing 32-bit Mesa/Vulkan dependencies
Summary: Missing 32-bit Mesa/Vulkan dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lutris
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Chris King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-20 14:44 UTC by AsciiWolf
Modified: 2019-01-12 01:57 UTC (History)
1 user (show)

Fixed In Version: lutris-0.4.23-8.fc28 lutris-0.4.23-8.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-12 01:24:08 UTC
Type: Bug


Attachments (Terms of Use)

Description AsciiWolf 2018-12-20 14:44:29 UTC
Description of problem:
The Lutris package does not depend on 32-bit Mesa and Vulkan packages. Because of this, no 32-bit Wine application can be launched when using Mesa drivers on the system. Please, fix this by adding these dependencies to the Lutris package spec file: mesa-vulkan-drivers.i686, mesa-libGL.i686

Version-Release number of selected component (if applicable):
lutris-0.4.23-1.fc29.noarch

How reproducible:
Every time.

Steps to Reproduce:
1. Install Lutris on Fedora 29 with Mesa drivers used.
2. Install and try running with DXVK enabled: https://lutris.net/games/world-of-warcraft/

Actual results:
Error with unimplemented vulkan-1.dll function is shown and application crashes.

Expected results:
Battle.net installs and launches without any issue.

Additional info:
The crash can probably be triggered by using any 32-bit game with 3D acceleration (or any 32-bit application when having DXVK enabled).

Comment 1 AsciiWolf 2018-12-20 15:32:33 UTC
I have also created an upstream bug report for this issue: https://github.com/lutris/lutris/issues/1430

Comment 2 Fedora Update System 2018-12-20 20:50:46 UTC
lutris-0.4.23-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-caa9d8e9c0

Comment 3 Fedora Update System 2018-12-20 20:51:54 UTC
lutris-0.4.23-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-57c60bf092

Comment 4 Fedora Update System 2018-12-22 01:33:23 UTC
lutris-0.4.23-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-57c60bf092

Comment 5 Fedora Update System 2018-12-22 02:58:10 UTC
lutris-0.4.23-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-caa9d8e9c0

Comment 6 Fedora Update System 2018-12-28 15:28:01 UTC
lutris-0.4.23-5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4865f440a3

Comment 7 Fedora Update System 2018-12-28 15:28:28 UTC
lutris-0.4.23-5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-707e162c18

Comment 8 Fedora Update System 2018-12-29 01:38:52 UTC
lutris-0.4.23-5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4865f440a3

Comment 9 Fedora Update System 2018-12-29 03:08:44 UTC
lutris-0.4.23-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-707e162c18

Comment 10 Fedora Update System 2018-12-30 17:35:11 UTC
lutris-0.4.23-6.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7a316791e5

Comment 11 Fedora Update System 2018-12-30 19:28:03 UTC
lutris-0.4.23-7.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a921cb22c3

Comment 12 Fedora Update System 2018-12-30 19:28:21 UTC
lutris-0.4.23-7.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-96b741bd0d

Comment 13 Fedora Update System 2018-12-31 01:06:53 UTC
lutris-0.4.23-7.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-96b741bd0d

Comment 14 Fedora Update System 2018-12-31 04:57:09 UTC
lutris-0.4.23-7.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a921cb22c3

Comment 15 Fedora Update System 2019-01-03 20:14:03 UTC
lutris-0.4.23-8.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0ff3e579c6

Comment 16 Fedora Update System 2019-01-03 20:15:00 UTC
lutris-0.4.23-8.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9c5e262c88

Comment 17 Fedora Update System 2019-01-04 01:42:19 UTC
lutris-0.4.23-8.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0ff3e579c6

Comment 18 Fedora Update System 2019-01-04 02:06:58 UTC
lutris-0.4.23-8.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9c5e262c88

Comment 19 Fedora Update System 2019-01-12 01:24:08 UTC
lutris-0.4.23-8.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2019-01-12 01:57:34 UTC
lutris-0.4.23-8.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.